summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD48
1 files changed, 4 insertions, 44 deletions
diff --git a/PKGBUILD b/PKGBUILD
index c919d26d945..04448011918 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,55 +1,15 @@
# Maintainer: Tom Zander
-pkgname=bitcoin-classic-daemon
+pkgname=bitcoin-classic
pkgver=1.3.8
pkgrel=1
-pkgdesc='Bitcoin Classic with bitcoind, bitcoin-tx, and bitcoin-cli'
+pkgdesc='Bitcoin Classic with bitcoind, bitcoin-cli, bitcoin-tx, and bitcoin-qt'
arch=('i686' 'x86_64')
url="https://bitcoinclassic.com/"
license=('MIT')
-depends=('boost-libs' 'libevent' 'openssl' 'miniupnpc' 'zeromq')
-makedepends=('boost')
-provides=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-tx')
-conflicts=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-tx')
-install=bitcoin.install
-backup=("etc/bitcoin/bitcoin.conf")
-source=(${pkgname}-${pkgver}.tar.gz::"https://github.com/bitcoinclassic/bitcoinclassic/archive/v${pkgver}.tar.gz"
- "bitcoin.logrotate"
- "bitcoin.conf")
-sha256sums=('87f1d0a9ffe9763e1070f8e57af1dc3a35632e3ba8e8ac29c677faa4e8b1ca10'
- "7bf4bdad419c1ee30b88c7e4190707c5ff250da8b23d68d5adf14043f8e2ac73"
- "c8787560c6423605796c8d3e080cb522ed849cea12b5c23293c22e405a015a53")
-build() {
- cd "bitcoinclassic-$pkgver"
- ./autogen.sh
- ./configure --prefix=/usr --with-incompatible-bdb --with-gui=no --enable-hardening \
- --enable-reduce-exports --disable-gui-tests --disable-maintainer-mode
- make
-}
-
-check() {
- "bitcoinclassic-$pkgver/src/test/test_bitcoin"
-}
package() {
- cd "bitcoinclassic-$pkgver"
-
- install -Dm644 "contrib/debian/examples/bitcoin.conf"\
- -t "$pkgdir/usr/share/doc/bitcoin/examples"
- install -Dm644 "contrib/debian/manpages/bitcoind.1"\
- -t "$pkgdir/usr/share/man/man1"
- install -Dm644 "contrib/debian/manpages/bitcoin.conf.5"\
- -t "$pkgdir/usr/share/man/man5"
-
- install -Dm 664 "$srcdir/bitcoin.conf" -t "$pkgdir/etc/bitcoin"
- sed 's/python2/python/' <share/rpcuser/rpcuser.py >rpcuser.py
- install -Dm 755 rpcuser.py -t "$pkgdir/etc/bitcoin"
- install -Dm 644 "contrib/init/bitcoind.service" -t "$pkgdir/usr/lib/systemd/system"
- install -Dm 644 "$srcdir/bitcoin.logrotate" "$pkgdir/etc/logrotate.d/bitcoin"
-
- install -Dm 644 contrib/bitcoind.bash-completion \
- "$pkgdir/usr/share/bash-completion/completions/bitcoind"
-
- install -Dm755 "src/bitcoind" "src/bitcoin-cli" "src/bitcoin-tx" -t "$pkgdir/usr/bin"
+ echo "******* Classic is discontinued http://bitcoinclassic.com/news/closing.html"
+ exit 1
}